Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TSelectSqlNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TSelectSqlNode

All Implemented Interfaces:
  Visitable

    public class TSelectSqlNode

extends TParseTreeNode

Internal used by parser, reprsents raw parse tree node of select statement.

Field Summary
`TCTEList` | `cteList`

Constructor Summary
`TSelectSqlNode()`

Method Summary
`TComputeClause` | `getComputeClause()`
`TExpandOnClause` | `getExpandOnClause()`
`TFetchFirstClause` | `getFetchFirstClause()`
`TForUpdate` | `getForupdateClause()`
`TFromTableList` | `getFromTableList()`
`TGroupBy` | `getGroupByClause()`
`THierarchical` | `getHierarchicalClause()`
`TIntoClause` | `getIntoClause()`
`TIsolationClause` | `getIsolationClause()`
`TSelectSqlNode` | `getLeftNode()`
`TLimitClause` | `getLimitClause()`
`TPTNodeList<TLockingClause>` | `getLockingClauses()`
`TOptimizeForClause` | `getOptimizeForClause()`
`TOrderBy` | `getOrderbyClause()`
`TQualifyClause` | `getQualifyClause()`
`TResultColumnList` | `getResultColumnList()`
`TSelectSqlNode` | `getRightNode()`
`TSampleClause` | `getSampleClause()`
`TSelectDistinct` | `getSelectDistinct()`
`TSelectLimit` | `getSelectLimit()`
`TSourceToken` | `getSelectToken()`
`int` | `getSetOperator()`
`TTopClause` | `getTopClause()`
`TValueClause` | `getValueClause()`
`TWhereClause` | `getWhereCondition()`
`TWindowClause` | `getWindowClause()`
`TTeradataWithClause` | `getWithClause()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`boolean` | `isCombinedQuery()`
`void` | `setComputeClause(TComputeClause computeClause)`
`void` | `setExpandOnClause(TExpandOnClause expandOnClause)`
`void` | `setFetchFirstClause(TFetchFirstClause fetchFirstClause)`
`void` | `setForupdateClause(TForUpdate forupdateClause)`
`void` | `setFromTableList(TFromTableList fromTableList)`
`void` | `setGroupByClause(TGroupBy groupByClause)`
`void` | `setHierarchicalClause(THierarchical hierarchicalClause)`
`void` | `setIntoClause(TIntoClause intoClause)`
`void` | `setIsolationClause(TIsolationClause isolationClause)`
`void` | `setLimitClause(TLimitClause limitClause)`
`void` | `setLockingClauses(TPTNodeList<TLockingClause> lockingClauses)`
`void` | `setOptimizeForClause(TOptimizeForClause optimizeForClause)`
`void` | `setOrderbyClause(TOrderBy orderbyClause)`
`void` | `setQualifyClause(TQualifyClause qualifyClause)`
`void` | `setResultColumnList(TResultColumnList resultColumnList)`
`void` | `setSampleClause(TSampleClause sampleClause)`
`void` | `setSelectDistinct(TSelectDistinct selectDistinct)`
`void` | `setSelectLimit(TSelectLimit selectLimit)`
`void` | `setSelectToken(TSourceToken selectToken)`
`void` | `setSetOperator(int setOperator)`
`void` | `setTopClause(TTopClause topClause)`
`void` | `setValueClause(TValueClause valueClause)`
`void` | `setWhereCondition(TWhereClause whereCondition)`
`void` | `setWindowClause(TWindowClause windowClause)`
`void` | `setWithClause(TTeradataWithClause withClause)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cteList

    public TCTEList cteList

Constructor Detail

### TSelectSqlNode

    public TSelectSqlNode()

Method Detail

### setSelectToken

    public void setSelectToken(TSourceToken selectToken)

### getSelectToken

    public TSourceToken getSelectToken()

### getSelectDistinct

    public TSelectDistinct getSelectDistinct()

### setSelectDistinct

    public void setSelectDistinct(TSelectDistinct selectDistinct)

### setTopClause

    public void setTopClause(TTopClause topClause)

### getTopClause

    public TTopClause getTopClause()

### setComputeClause

    public void setComputeClause(TComputeClause computeClause)

### getComputeClause

    public TComputeClause getComputeClause()

### getResultColumnList

    public TResultColumnList getResultColumnList()

### getFromTableList

    public TFromTableList getFromTableList()

### getWhereCondition

    public TWhereClause getWhereCondition()

### setResultColumnList

    public void setResultColumnList(TResultColumnList resultColumnList)

### setFromTableList

    public void setFromTableList(TFromTableList fromTableList)

### setWhereCondition

    public void setWhereCondition(TWhereClause whereCondition)

### getSetOperator

    public int getSetOperator()

### setSetOperator

    public void setSetOperator(int setOperator)

### getLeftNode

    public TSelectSqlNode getLeftNode()

### getRightNode

    public TSelectSqlNode getRightNode()

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### isCombinedQuery

    public boolean isCombinedQuery()

### getOrderbyClause

    public TOrderBy getOrderbyClause()

### setOrderbyClause

    public void setOrderbyClause(TOrderBy orderbyClause)

### getForupdateClause

    public TForUpdate getForupdateClause()

### setForupdateClause

    public void setForupdateClause(TForUpdate forupdateClause)

### getHierarchicalClause

    public THierarchical getHierarchicalClause()

### setHierarchicalClause

    public void setHierarchicalClause(THierarchical hierarchicalClause)

### getGroupByClause

    public TGroupBy getGroupByClause()

### setGroupByClause

    public void setGroupByClause(TGroupBy groupByClause)

### setIntoClause

    public void setIntoClause(TIntoClause intoClause)

### getIntoClause

    public TIntoClause getIntoClause()

### setQualifyClause

    public void setQualifyClause(TQualifyClause qualifyClause)

### getQualifyClause

    public TQualifyClause getQualifyClause()

### setSampleClause

    public void setSampleClause(TSampleClause sampleClause)

### getSampleClause

    public TSampleClause getSampleClause()

### getWithClause

    public TTeradataWithClause getWithClause()

### setWithClause

    public void setWithClause(TTeradataWithClause withClause)

### setLimitClause

    public void setLimitClause(TLimitClause limitClause)

### getLimitClause

    public TLimitClause getLimitClause()

### setFetchFirstClause

    public void setFetchFirstClause(TFetchFirstClause fetchFirstClause)

### getFetchFirstClause

    public TFetchFirstClause getFetchFirstClause()

### setOptimizeForClause

    public void setOptimizeForClause(TOptimizeForClause optimizeForClause)

### getOptimizeForClause

    public TOptimizeForClause getOptimizeForClause()

### setIsolationClause

    public void setIsolationClause(TIsolationClause isolationClause)

### getIsolationClause

    public TIsolationClause getIsolationClause()

### setValueClause

    public void setValueClause(TValueClause valueClause)

### getValueClause

    public TValueClause getValueClause()

### getLockingClauses

    public TPTNodeList<TLockingClause> getLockingClauses()

### setLockingClauses

    public void setLockingClauses(TPTNodeList<TLockingClause> lockingClauses)

### setSelectLimit

    public void setSelectLimit(TSelectLimit selectLimit)

### getSelectLimit

    public TSelectLimit getSelectLimit()

### setWindowClause

    public void setWindowClause(TWindowClause windowClause)

### getWindowClause

    public TWindowClause getWindowClause()

### getExpandOnClause

    public TExpandOnClause getExpandOnClause()

### setExpandOnClause

    public void setExpandOnClause(TExpandOnClause expandOnClause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD